package com.ruoyi.system.service;

import java.util.List;

import com.ruoyi.system.domain.ActOperation1;
import com.ruoyi.system.domain.ActSuppliesHistorydata;
import com.ruoyi.system.domain.ActSuppliesImportCleaningAcc;

/**
 *  历史数据Service接口
 *
 * @author dongjg
 * @date 2023-08-01
 */
public interface IActSuppliesHistorydataService
{
    /**
     * 查询 历史数据
     *
     * @param id  历史数据ID
     * @return  历史数据
     */
     ActSuppliesHistorydata selectActSuppliesHistorydataById(Long id);

    /**
     * 查询 历史数据列表
     *
     * @param actSuppliesHistorydata  历史数据
     * @return  历史数据集合
     */
     List<ActSuppliesHistorydata> selectActSuppliesHistorydataList(ActSuppliesHistorydata actSuppliesHistorydata);

    /**
     * 新增 历史数据
     *
     * @param actSuppliesHistorydata  历史数据
     * @return 结果
     */
     int insertActSuppliesHistorydata(List<ActSuppliesHistorydata> actSuppliesHistorydata);

    /**
     * 修改 历史数据
     *
     * @param actSuppliesHistorydata  历史数据
     * @return 结果
     */
     int updateActSuppliesHistorydata(ActSuppliesHistorydata actSuppliesHistorydata);

    /**
     * 批量删除 历史数据
     *
     * @param ids 需要删除的 历史数据ID
     * @return 结果
     */
     int deleteActSuppliesHistorydataByIds(Long[] ids);

    /**
     * 删除 历史数据信息
     *
     * @param id  历史数据ID
     * @return 结果
     */
     int deleteActSuppliesHistorydataById(Long id);

    int addInsertActSuppliesHistorydata(List<ActSuppliesHistorydata> actSuppliesHistorydata);
    /**
     * 获取所有历史数据
     *
     * @return 结果
     */
    List<ActSuppliesHistorydata> selectActSuppliesHistorydata(Integer tylkStatus);
    /**
     * 修改历史数据通过id
     *
     * @return 结果
     */
    int updateActSuppliesHistorydataStatusById(Long gethId);

    void addInsertImport(List<ActOperation1> actOperation2s);

    void addInsertImportss(List<ActOperation1> actOperation2s);

    void addInsertConvert1(List<ActOperation1> actOperation2s);

    void addInsertConvert2(List<ActOperation1> actOperation2s);

    void addInsertImportAccpunt(List<ActOperation1> actOperation2s);

    void addInsertImportssAccounts(List<ActOperation1> actOperation2s);

    void addInsertActSuppliesHistorydataAcc(List<ActSuppliesHistorydata> actSuppliesHistorydata);

    List<ActSuppliesHistorydata> selectActSuppliesHistorydataAcc(ActSuppliesHistorydata actSuppliesHistorydata);

    List<ActSuppliesImportCleaningAcc> selectActSuppliesCleaningCopyAcc(Long id);
}
